Subject: Re: [PATCH net v4] net: ethernet: sunplus: Switch to ndo_eth_ioctl

From: Jakub Kicinski <[email-masked]>
Date: Fri, 10 Jan 2025 17:57:37 -0800

On Fri, 10 Jan 2025 13:29:21 +0000 [email-masked] wrote:
> Fixes: fd3040b9394c ("net: ethernet: Add driver for Sunplus SP7021")
> Fixes: a76053707dbf ("dev_ioctl: split out ndo_eth_ioctl")

I see your point with the ordering of the commits, please drop 
the second Fixes tag, then :) I'd slightly modify your commit 
message to make this clearer:

The device ioctl handler no longer calls ndo_do_ioctl, but calls
ndo_eth_ioctl to handle mii ioctls. However, even though sunplus
was introduced after commit a76053707dbf ("dev_ioctl: split out 
ndo_eth_ioctl"), it still tried to use ndo_do_ioctl.
Switch to ndo_eth_ioctl. (found by code inspection)

Fixes: fd3040b9394c ("net: ethernet: Add driver for Sunplus SP7021")
-- 
pw-bot: cr